Update to PHP7.0 dependencies

Bug #1562184 reported by Nish Aravamudan on 2016-03-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mythtv (Ubuntu)
Undecided
Unassigned

Bug Description

Reviewing https://code.mythtv.org/trac/ticket/12588, our version of
mythtv has all the source changes needed to support PHP7.0.

Nish Aravamudan (nacc) wrote :
Steve Langasek (vorlon) wrote :

--- mythtv-0.28.0+fixes.20160321.39e409d/debian/mythweb.install 2016-03-21 08:02:01.000000000 -0700
+++ mythtv-0.28.0+fixes.20160321.39e409d/debian/mythweb.install 2016-03-25 15:24:21.000000000 -0700
@@ -1,4 +1,4 @@
 mythplugins/mythweb usr/share/mythtv

 #These are added in from debian/
-debian/20-mythweb.ini etc/php5/apache2/conf.d
+debian/20-mythweb.ini etc/php/7.0/apache2/conf.d

This will be a conffile, which means that on upgrade, we need to take care of removing the old file path from the system using dpkg-maintscript-helper.

Changed in mythtv (Ubuntu):
status: New → Incomplete
Nish Aravamudan (nacc) wrote :
Changed in mythtv (Ubuntu):
status: Incomplete → New
Nish Aravamudan (nacc) wrote :

@Steve, thanks! Didn't know about dpkg-maintscript-helper. Tested with upgrading from the current version in Xenial w/ and w/o local modifications.

Steve Langasek (vorlon) on 2016-03-30
Changed in mythtv (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mythtv - 2:0.28.0+fixes.20160325.2520617-0ubuntu3

---------------
mythtv (2:0.28.0+fixes.20160325.2520617-0ubuntu3) xenial; urgency=medium

  [ Nishanth Aravamudan ]
  * Update to PHP7.0 dependencies (LP: #1562184).
  * debian/patches/update_mythweb_for_php7.patch: Update documentation
    and nginx configuration for php7.0.
  * Use dpkg-maintscript-helper to move the apache conf files.

  [ Steve Langasek ]
  * Use debian/mythweb.maintscript and dh_installdeb for the
    dpkg-maintscript-helper bits, to avoid code duplication everywhere.

 -- Steve Langasek <email address hidden> Wed, 30 Mar 2016 18:03:18 +0000

Changed in mythtv (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers